import { provide as t, inject as r, computed as n } from "vue";
const o = /* @__PURE__ */ Symbol("formContextKey");
function u(e) {
  t(o, e);
}
function c() {
  return r(o, {
    model: n(() => ({})),
    updateModel: () => {
    }
  });
}
export {
  o as ApFormContextKey,
  c as useInjectForm,
  u as useProvideForm
};
